Bug 20222 - virtualbox new security issues CVE-2016-5545, CVE-2017-3290, CVE-2017-3316, and CVE-2017-3332
Summary: virtualbox new security issues CVE-2016-5545, CVE-2017-3290, CVE-2017-3316, a...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 5
Hardware: All Linux
: High normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL: https://lwn.net/Vulnerabilities/713153/
Whiteboard: MGA5-64-OK advisory
Keywords: validated_update
Depends on:
Blocks: 20447 20527
  Show dependency treegraph
 
Reported: 2017-02-01 02:07 CET by David Walser
Modified: 2017-03-23 08:20 CET (History)
8 users (show)

See Also:
Source RPM: virtualbox-5.1.12-1.mga6.src.rpm
CVE:
Status comment:


Attachments

Description David Walser 2017-02-01 02:07:02 CET
openSUSE has issued an advisory on January 30:
https://lists.opensuse.org/opensuse-updates/2017-01/msg00173.html

The issues are fixed upstream in 5.1.14:
https://www.virtualbox.org/wiki/Changelog

For some reason, VirtualBox won't build in Cauldron right now.
Comment 1 Thomas Backlund 2017-02-28 17:32:12 CET
(In reply to David Walser from comment #0)
> openSUSE has issued an advisory on January 30:
> https://lists.opensuse.org/opensuse-updates/2017-01/msg00173.html
> 
> The issues are fixed upstream in 5.1.14:
> https://www.virtualbox.org/wiki/Changelog
> 
> For some reason, VirtualBox won't build in Cauldron right now.

Yeah, virtualbox code / buildsystem is a mess...

It (ab)uses kernel internal code to build against, and porly at that... it tries to parse code written for c with c++ and bombs out... in reality it in most cases should rely on uapi code, and for those parts really needing to know kernel internals it should parse as strict C

This still builds in mga5, but with newer kernels where code gets cleaned up / unified / ... it breaks...

 
I have fixes for some of it, but I need to verify them...
Other workaround would be to temporarily build against an older kernel source 
or wait and hope Oracle cleans up the mess in 5.1.16+
Comment 2 Thomas Backlund 2017-02-28 17:38:12 CET
Ah, I see upstream has fixed it differently in svn, will try it out and see if it works
Comment 3 Thomas Backlund 2017-02-28 19:35:57 CET
Ok, that worked, so packages to test:

SRPMS:
kmod-vboxadditions-5.1.14-1.mga5.src.rpm
kmod-virtualbox-5.1.14-1.mga5.src.rpm
virtualbox-5.1.14-1.mga5.src.rpm


i586:
dkms-vboxadditions-5.1.14-1.mga5.noarch.rpm
dkms-virtualbox-5.1.14-1.mga5.noarch.rpm
python-virtualbox-5.1.14-1.mga5.i586.rpm
vboxadditions-kernel-4.4.50-desktop-2.mga5-5.1.14-1.mga5.i586.rpm
vboxadditions-kernel-4.4.50-desktop586-2.mga5-5.1.14-1.mga5.i586.rpm
vboxadditions-kernel-4.4.50-server-2.mga5-5.1.14-1.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.1.14-1.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.1.14-1.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.1.14-1.mga5.i586.rpm
virtualbox-5.1.14-1.mga5.i586.rpm
virtualbox-devel-5.1.14-1.mga5.i586.rpm
virtualbox-doc-5.1.14-1.mga5.noarch.rpm
virtualbox-guest-additions-5.1.14-1.mga5.i586.rpm
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.14-1.mga5.i586.rpm
virtualbox-kernel-4.4.50-desktop586-2.mga5-5.1.14-1.mga5.i586.rpm
virtualbox-kernel-4.4.50-server-2.mga5-5.1.14-1.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.1.14-1.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.1.14-1.mga5.i586.rpm
virtualbox-kernel-server-latest-5.1.14-1.mga5.i586.rpm
x11-driver-video-vboxvideo-5.1.14-1.mga5.i586.rpm


x86_64:
dkms-vboxadditions-5.1.14-1.mga5.noarch.rpm
dkms-virtualbox-5.1.14-1.mga5.noarch.rpm
python-virtualbox-5.1.14-1.mga5.x86_64.rpm
vboxadditions-kernel-4.4.50-desktop-2.mga5-5.1.14-1.mga5.x86_64.rpm
vboxadditions-kernel-4.4.50-server-2.mga5-5.1.14-1.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.1.14-1.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.1.14-1.mga5.x86_64.rpm
virtualbox-5.1.14-1.mga5.x86_64.rpm
virtualbox-devel-5.1.14-1.mga5.x86_64.rpm
virtualbox-doc-5.1.14-1.mga5.noarch.rpm
virtualbox-guest-additions-5.1.14-1.mga5.x86_64.rpm
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.14-1.mga5.x86_64.rpm
virtualbox-kernel-4.4.50-server-2.mga5-5.1.14-1.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.1.14-1.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.1.14-1.mga5.x86_64.rpm
x11-driver-video-vboxvideo-5.1.14-1.mga5.x86_64.rpm
Comment 4 Dave Hodgins 2017-03-01 02:43:39 CET
For some time now, I've had a problem with my Mageia 5 i586 guest, where the
display is stuck at 800x600 resolution. It works fine in a x86_64 guest.

The host is running Mageia 5 too.

In the guest, virtualbox-guest-additions-5.1.14-1.mga5 is installed.

Found a workaround finally. In the guest I selected Devices/Insert Guest Additions
Cd ..., downloaded VBoxGuestAdditions_5.1.14.iso, mounted it and ran
VBoxLinuxAdditions.run. Did not un-install the rpm package.

After that, the guest screen switched to auto resolution, which is working
correctly.

Note that with /etc/X11/xorg.conf present, the X server doesn't start.

This will not hold up validation of the virtualbox update, just wanted to make
a note of it.

Also, the vboxvideo module was loading before this. Don't know what the difference
is between the rpm package and installing using the script from vbox, but there is
a difference.

This was done in a snapshot, so it can easily be undone/redone, if more info on
the before state is needed. I'll validate the update shortly.
Comment 5 David Walser 2017-03-01 02:47:48 CET
That all doesn't sound very good.  Please give a little more time for others to test this.
Comment 6 Dave Hodgins 2017-03-01 03:08:06 CET
(In reply to David Walser from comment #5)
> That all doesn't sound very good.  Please give a little more time for others
> to test this.

It's not a new issue, It's been happening for quite a while, as reported in
bug 18724

Not a reason to hold a security update, just wanted to make a note of it so
in can be looked at.

I've added the advisory to svn based on the opensuse one.

I'll hold off validating the update till tomorrow though.
Comment 7 James Kerr 2017-03-01 13:17:56 CET
(In reply to Dave Hodgins from comment #4)

I get the exact same results on a mga5-32 host (using the latest server kernel) with a mga5-32 guest.
Comment 8 William Kenney 2017-03-01 18:53:31 CET
On real hardware, M5, KDE, 64-bit

Package(s) under test:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

default install of:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

[root@localhost wilcal]# uname -a
Linux localhost 4.4.50-desktop-2.mga5 #1 SMP Thu Feb 23 21:21:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.4.50-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.1.10-1.1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.1.10-12.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.1.10-1.1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.1.10-1.1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.1.10-12.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.1.10-1.1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-352.79-10.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current

Created clients:
M5.1 i586 Gnome Live-DVD runs as a Vbox client. Screen sizes are correct.

install from updates_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest
from updates_testing

[root@localhost wilcal]# uname -a
Linux localhost 4.4.50-desktop-2.mga5 #1 SMP Thu Feb 23 21:21:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.4.50-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.1.14-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.1.14-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.1.14-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.1.14-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.1.14-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.1.14-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-352.79-10.mga5.nonfree.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current

Clients created Pre-update:
M5.1 i586 KDE Live-DVD still runs as a Vbox client. Screen sizes are correct.

Clients created Post-update:
M5.1 x86_64 KDE Live-DVD runs as a Vbox client. Screen sizes are correct.
M5.1 x86_64 KDE CI installs, updates and runs as a Vbox client. Screen sizes are correct.
The Audio in this Vbox client is set to Host Driver: PulseAudio   Controller: Intel HD Audio
Using the VLC that was installed I am able to play and see an mp3 & mp4 file.
But, the level of the sound is quite low. I would expect that some folks would mistakenly
think it is not working. It's just usable here.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 5.1 64-bit, Nvidia driver
Comment 9 PC LX 2017-03-11 03:51:06 CET
No regressions noticed.

Host system:

x86_64 + Plasma DE

$ uname -a
Linux mageia5 4.4.50-desktop-2.mga5 #1 SMP Thu Feb 23 21:21:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | grep -E 'virtualbox' | sort
dkms-virtualbox-5.1.16-1.mga5
virtualbox-5.1.16-1.mga5
virtualbox-doc-5.1.16-1.mga5
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.16-1.mga5
virtualbox-kernel-desktop-latest-5.1.16-1.mga5
$ lspcidrake 
pata_jmicron    : JMicron Technology Corp.|JMB368 IDE controller [STORAGE_IDE]
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [NETWORK_ETHERNET] (rev: 02)
snd_hda_intel   : NVIDIA Corporation|High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: a1)
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)
i2c_i801        : Intel Corporation|82801JI (ICH10 Family) SMBus Controller [SERIAL_SMBUS]
unknown         : Intel Corporation|82801JI (ICH10 Family) SATA AHCI Controller [STORAGE_SATA]
lpc_ich         : Intel Corporation|82801JIB (ICH10) LPC Interface Controller [BRIDGE_ISA]
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (rev: 90)
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #1 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #3 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #2 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #1 [SERIAL_USB]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 3 [BRIDGE_PCI]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Port 2 [BRIDGE_PCI]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 1 [BRIDGE_PCI]
snd_hda_intel   : Intel Corporation|82801JI (ICH10 Family) HD Audio Controller [MULTIMEDIA_AUDIO_DEV]
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #2 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #6 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #5 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #4 [SERIAL_USB]
shpchp          : Intel Corporation|4 Series Chipset PCI Express Root Port [BRIDGE_PCI] (rev: 03)
unknown         : Intel Corporation|4 Series Chipset DRAM Controller [BRIDGE_HOST] (rev: 03)
hub             : Linux 4.4.50-desktop-2.mga5 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.4.50-desktop-2.mga5 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
Mouse:evdev     : Logitech|USB Receiver [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 4.4.50-desktop-2.mga5 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.4.50-desktop-2.mga5 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.4.50-desktop-2.mga5 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.4.50-desktop-2.mga5 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.4.50-desktop-2.mga5 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usb_storage     : Prolific Technology Inc.|Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
hub             : Genesys Logic, Inc.|USB2.0 Hub [Hub|Unused|Full speed (or root) hub]
usb_storage     : Western Digital|Elements 107C [Mass Storage|SCSI|Bulk-Only]
hub             : Linux 4.4.50-desktop-2.mga5 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usb_storage     : Generic|Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
hid_logitech    : Logitech USB Receiver
hid_logitech    : Logitech USB Receiver



Guest systems:

Windows XP
Windows 7
Windows 10
Mageia 5 x86_64 + Plasma DE
Mageia 6 (cauldron) x86_64 + Plasma DE
Comment 10 David Walser 2017-03-11 21:01:54 CET
Now we're testing VirtualBox 5.1.16 which fixes a regression from 5.1.14 and some other bugs.
Comment 11 David Walser 2017-03-16 14:33:43 CET
5.1.18 has been released on March 15, fixing mostly a few Windows issues:
https://www.virtualbox.org/wiki/Changelog#v18
Comment 12 Thomas Backlund 2017-03-16 20:57:08 CET
Indeed, I will respin this with 5.1.18 as it also adds Amd Ryzen detection.
Comment 13 Thomas Backlund 2017-03-16 22:53:36 CET
Ok, 5.1.18 is built and ready for tests:

SRPMS:
kmod-vboxadditions-5.1.18-1.mga5.src.rpm
kmod-virtualbox-5.1.18-1.mga5.src.rpm
virtualbox-5.1.18-1.mga5.src.rpm


i586:
dkms-vboxadditions-5.1.18-1.mga5.noarch.rpm
dkms-virtualbox-5.1.18-1.mga5.noarch.rpm
python-virtualbox-5.1.18-1.mga5.i586.rpm
vboxadditions-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5.i586.rpm
vboxadditions-kernel-4.4.50-desktop586-2.mga5-5.1.18-1.mga5.i586.rpm
vboxadditions-kernel-4.4.50-server-2.mga5-5.1.18-1.mga5.i586.rpm
vboxadditions-kernel-desktop586-latest-5.1.18-1.mga5.i586.rpm
vboxadditions-kernel-desktop-latest-5.1.18-1.mga5.i586.rpm
vboxadditions-kernel-server-latest-5.1.18-1.mga5.i586.rpm
virtualbox-5.1.18-1.mga5.i586.rpm
virtualbox-devel-5.1.18-1.mga5.i586.rpm
virtualbox-doc-5.1.18-1.mga5.noarch.rpm
virtualbox-guest-additions-5.1.18-1.mga5.i586.rpm
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5.i586.rpm
virtualbox-kernel-4.4.50-desktop586-2.mga5-5.1.18-1.mga5.i586.rpm
virtualbox-kernel-4.4.50-server-2.mga5-5.1.18-1.mga5.i586.rpm
virtualbox-kernel-desktop586-latest-5.1.18-1.mga5.i586.rpm
virtualbox-kernel-desktop-latest-5.1.18-1.mga5.i586.rpm
virtualbox-kernel-server-latest-5.1.18-1.mga5.i586.rpm
x11-driver-video-vboxvideo-5.1.18-1.mga5.i586.rpm


x86_64:
dkms-vboxadditions-5.1.18-1.mga5.noarch.rpm
dkms-virtualbox-5.1.18-1.mga5.noarch.rpm
python-virtualbox-5.1.18-1.mga5.x86_64.rpm
vboxadditions-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5.x86_64.rpm
vboxadditions-kernel-4.4.50-server-2.mga5-5.1.18-1.mga5.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.1.18-1.mga5.x86_64.rpm
vboxadditions-kernel-server-latest-5.1.18-1.mga5.x86_64.rpm
virtualbox-5.1.18-1.mga5.x86_64.rpm
virtualbox-devel-5.1.18-1.mga5.x86_64.rpm
virtualbox-doc-5.1.18-1.mga5.noarch.rpm
virtualbox-guest-additions-5.1.18-1.mga5.x86_64.rpm
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5.x86_64.rpm
virtualbox-kernel-4.4.50-server-2.mga5-5.1.18-1.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.1.18-1.mga5.x86_64.rpm
virtualbox-kernel-server-latest-5.1.18-1.mga5.x86_64.rpm
x11-driver-video-vboxvideo-5.1.18-1.mga5.x86_64.rpm
Comment 14 Thomas Andrews 2017-03-17 13:54:59 CET
Updated from vbox 5.1.10 on a 64-bit Mageia 5 host. Real hardware: Athlon X2 7750 processor, 8GB, Geforce 9800GT video card. (nvidia340 driver)

Packages installed cleanly. Updated the extpack using the app's "Check for Updates" function. Afterward, existing Windows XP 32-bit, Mageia 5 32-bit, and Mageia 5 64-bit guests all ran and updated to the appropriate guest additions with no problems. Common apps in all three guests work as expected. I did not attempt to create a new guest.
Comment 15 Len Lawrence 2017-03-17 16:40:59 CET
x86_64 real hardware : Intel i7-4790K : GeForce GTX770

dkms-virtualbox-5.1.18-1.mga5.noarch.rpm
python-virtualbox-5.1.18-1.mga5.x86_64.rpm
virtualbox-5.1.18-1.mga5.x86_64.rpm
virtualbox-devel-5.1.18-1.mga5.x86_64.rpm
virtualbox-doc-5.1.18-1.mga5.noarch.rpm
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5.x86_64.rpm
virtualbox-kernel-desktop-latest-5.1.18-1.mga5.x86_64.rpm

Clean install.
Launched 64bit and 32bit guests OK.
Downloaded the 64bit Oracle Extension pack upgrade but have not installed it yet.
Comment 16 PC LX 2017-03-17 17:02:45 CET
No regressions noticed.

Host system:

x86_64 + Plasma DE

Guest systems:

Windows XP
Windows 7
Windows 10
Mageia 5 x86_64 + Plasma DE
Mageia 6 (cauldron) x86_64 + Plasma DE
Mageia 6 (cauldron) x86_64 Plasma Live DVD
Mageia 6 (cauldron) x86_64 GNOME Live DVD

# uname -a
Linux marte 4.4.54-desktop-1.mga5 #1 SMP Thu Mar 16 01:46:31 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
# rpm -qa | grep virtualbox
dkms-virtualbox-5.1.18-1.mga5
virtualbox-doc-5.1.18-1.mga5
virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5
virtualbox-5.1.18-1.mga5
virtualbox-kernel-desktop-latest-5.1.18-1.mga5
Comment 17 Len Lawrence 2017-03-17 18:18:03 CET
i586 mga5.1 virtualbox guest on x86_64 host

Installed 
x11-driver-video-vboxvideo-5.1.18-1.mga5
virtualbox-guest-additions-5.1.18-1.mga5
vboxadditions-kernel-desktop-latest-5.1.18-1.mga5
vboxadditions-kernel-4.4.50-desktop-2.mga5
vboxadditions-kernel-4.4.50-desktop586-2.mga5-5.1.18-1
vboxadditions-kernel-desktop586-latest-5.1.18-1
dkms-vboxadditions-5.1.18-1.mga5

and rebooted to kernel-4.4.50-desktop and logged in to Mate.  Everything is running normally.
Comment 18 Len Lawrence 2017-03-17 18:31:07 CET
Continuing with the virtualbox guest referred to in comment 17.
Rebooted to desktop586 (what is the difference from desktop?).
$ uname -a
Linux shaula 4.4.50-desktop586-2.mga5 #1 SMP Thu Feb 23 21:21:14 UTC 2017 i686 i686 i686 GNU/Linux

Running fine so far.
Comment 19 William Kenney 2017-03-18 00:28:15 CET
On real hardware, M5, KDE, 64-bit

Package(s) under test:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

default install of:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest

[root@localhost wilcal]# uname -a
Linux localhost 4.4.50-desktop-2.mga5 #1 SMP Thu Feb 23 21:21:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.4.50-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.1.10-1.1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.1.10-12.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.1.10-1.1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.1.10-1.1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.1.10-12.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.1.10-1.1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-352.79-10.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current

Created clients:
M5.1 i586 Gnome Live-DVD runs as a Vbox client. Screen sizes are correct.

install from updates_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
nvidia-current-kernel-desktop-latest
from updates_testing

[root@localhost wilcal]# uname -a
Linux localhost 4.4.50-desktop-2.mga5 #1 SMP Thu Feb 23 21:21:14 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.4.50-2.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.1.18-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.1.18-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.1.18-1.mga5.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.1.18-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.1.18-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.1.18-1.mga5.x86_64 is already installed
[root@localhost wilcal]# urpmi nvidia-current-kernel-desktop-latest
Package nvidia-current-kernel-desktop-latest-352.79-10.mga5.nonfree.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current

Clients created Pre-update:
M5.1 i586 KDE Live-DVD still runs as a Vbox client. Screen sizes are correct.

Clients created Post-update:
M5.1 x86_64 KDE Live-DVD runs as a Vbox client. Screen sizes are correct.
M5.1 x86_64 KDE CI installs, updates and runs as a Vbox client. Screen sizes are correct.
The Audio in this Vbox client is set to Host Driver: PulseAudio   Controller: Intel HD Audio
Using the VLC that was installed I am able to play and see an mp3 & mp4 file.
But, the level of the sound is quite low. I would expect that some folks would mistakenly
think it is not working. It's just usable here.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 5.1 64-bit, Nvidia driver
Comment 20 William Kenney 2017-03-18 00:29:09 CET
My test was done without updating to the new kernel that's in updates_testing
Comment 21 James Kerr 2017-03-19 00:51:06 CET
on mga5-64

$ uname -r
4.4.50-desktop-2.mga5

Packages updated cleanly:
- virtualbox-5.1.18-1.mga5.x86_64
- virtualbox-kernel-4.4.50-desktop-2.mga5-5.1.18-1.mga5.x86_64
- virtualbox-kernel-desktop-latest-5.1.18-1.mga5.x86_64

Extension pack updated cleanly

winxp and win7 clients - additions updated cleanly

OK for mga5-64
Comment 22 Thomas Backlund 2017-03-22 18:52:08 CET
 Raising priority as this is a blocker for the priority kernel update:
https://bugs.mageia.org/show_bug.cgi?id=20527
Comment 23 Thomas Andrews 2017-03-22 20:52:04 CET
Same hardware as Comment 14, updated packages already installed. Checked again after updating the 64-bit server kernel to 4.4.55, allowing dkms to build the new kernel module locally. All existing VMs work. Updated Mageia 5 guests, 32-bit and 64-bit, and they both worked, too.
Comment 24 Dave Hodgins 2017-03-22 23:41:46 CET
As no obvious regressions found, validating the update.
Comment 25 Mageia Robot 2017-03-23 08:20:01 CET
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGASA-2017-0078.html

Note You need to log in before you can comment on or make changes to this bug.